Bug 4681 - Удаление python3 уничтожает систему (в rpmdrake)
: Удаление python3 уничтожает систему (в rpmdrake)
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2014 Fresh R4
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 10:05 MSK by Vladimir Potapov
Modified: 2014-11-20 19:24 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-11-17 10:05:32 MSK
Если поставить pyton3 а потом его удалить, то удаляет всю систему вплоть до urpmi
Comment 1 Vladimir Potapov 2014-11-17 10:13:04 MSK
исправлено в обновлениях
Comment 2 Vladimir Potapov 2014-11-18 12:56:10 MSK
Выяснилось, что не исправлен.
Из консоли питон3 удаляется нормально, а вот из gui просит снести полсистемы.
Comment 4 Denis Silakov 2014-11-19 12:01:01 MSK
Advisory:
Fix incorrect calculation of dependent packages in Rpmdrake when removing a package.

Build lists:
https://abf.rosalinux.ru/build_lists/2334925
https://abf.rosalinux.ru/build_lists/2334926
Comment 5 FirstLevel 2014-11-19 17:50:55 MSK
I have tested updated from newly installed 64bit R4 with this updates
http://bugs.rosalinux.ru/show_bug.cgi?id=4649
http://bugs.rosalinux.ru/show_bug.cgi?id=4681
http://bugs.rosalinux.ru/show_bug.cgi?id=4652
All goes well.
Comment 6 FirstLevel 2014-11-19 17:54:32 MSK
(In reply to comment #2)
I have successfully updated with  this updates on  64bit R4
> http://bugs.rosalinux.ru/show_bug.cgi?id=4649
> http://bugs.rosalinux.ru/show_bug.cgi?id=4681
> http://bugs.rosalinux.ru/show_bug.cgi?id=4652
> All goes well.
Comment 7 FirstLevel 2014-11-20 10:13:43 MSK
I have successfully updated to actual updates with this containers 
http://bugs.rosalinux.ru/show_bug.cgi?id=4681
http://bugs.rosalinux.ru/show_bug.cgi?id=4649
http://bugs.rosalinux.ru/show_bug.cgi?id=4652
from newly installed 32bit R4
Comment 8 Vladimir Potapov 2014-11-20 19:09:40 MSK
rpmdrake-5.26.12-42
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2334925/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2334926/x86_64/main/release/
*************************** Advisory ***********************
Fix incorrect calculation of dependent packages in Rpmdrake when removing a package.
************************************************************
QA Verified